<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: AGDerivationTree Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-static-methods">Static Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_a_g_derivation_tree-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">AGDerivationTree Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_a_g_derivation_tree_8h_source.html">AGDerivationTree.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for AGDerivationTree:</div>
<div class="dyncontent">
<div class="center"><img src="class_a_g_derivation_tree__coll__graph.png" border="0" usemap="#_a_g_derivation_tree_coll__map" alt="Collaboration graph"/></div>
<!-- MAP 0 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a58b03c9087ddc4459c30f1899ad1e308"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_derivation_tree.html#a58b03c9087ddc4459c30f1899ad1e308">AGDerivationTree</a> (bool recycleNodes=false)</td></tr>
<tr class="separator:a58b03c9087ddc4459c30f1899ad1e308"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7f8b0b6b5687cea9e643038168200b2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_derivation_tree.html#ac7f8b0b6b5687cea9e643038168200b2">AGDerivationTree</a> (const <a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a> &amp;copy)</td></tr>
<tr class="separator:ac7f8b0b6b5687cea9e643038168200b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0667208b91dcea5be3479d427163b1fc"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_derivation_tree.html#a0667208b91dcea5be3479d427163b1fc">~AGDerivationTree</a> ()</td></tr>
<tr class="separator:a0667208b91dcea5be3479d427163b1fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4fd402c5f10d3fecaed8ce1abf4eccc"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_derivation_tree.html#ab4fd402c5f10d3fecaed8ce1abf4eccc">isRecycling</a> () const</td></tr>
<tr class="separator:ab4fd402c5f10d3fecaed8ce1abf4eccc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c6842e306b21e7b063f885bfc0bc707"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_derivation_tree.html#a0c6842e306b21e7b063f885bfc0bc707">setTree</a> (<a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> *newTree)</td></tr>
<tr class="separator:a0c6842e306b21e7b063f885bfc0bc707"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ab0d59fc8caa624fc437d594c7248b3"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_derivation_tree.html#a5ab0d59fc8caa624fc437d594c7248b3">getTree</a> () const</td></tr>
<tr class="separator:a5ab0d59fc8caa624fc437d594c7248b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1819aecf2bc1c6e9055e2760bb3ac08d"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_derivation_tree.html#a1819aecf2bc1c6e9055e2760bb3ac08d">clearTree</a> ()</td></tr>
<tr class="separator:a1819aecf2bc1c6e9055e2760bb3ac08d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a243b8da03396e5de3c83731eb18253b0"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_derivation_tree.html#a243b8da03396e5de3c83731eb18253b0">printTree</a> ()</td></tr>
<tr class="separator:a243b8da03396e5de3c83731eb18253b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a20134a7d0766af81ebff93212ecce0"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_derivation_tree.html#a8a20134a7d0766af81ebff93212ecce0">loadPhenotype</a> (<a class="el" href="class_phenotype.html">Phenotype</a> *pheno)</td></tr>
<tr class="separator:a8a20134a7d0766af81ebff93212ecce0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a7dcc75adc9c71332ab3e82fb1f4c10bf"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_derivation_tree.html#a7dcc75adc9c71332ab3e82fb1f4c10bf">clearSubtreeBelow</a> (<a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> &amp;node, bool recycleNodes)</td></tr>
<tr class="separator:a7dcc75adc9c71332ab3e82fb1f4c10bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-static-methods"></a>
Static Protected Member Functions</h2></td></tr>
<tr class="memitem:a56610bd9c470322aa9b61aca84367ce3"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_derivation_tree.html#a56610bd9c470322aa9b61aca84367ce3">traverseTree</a> (<a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> &amp;currentNode, <a class="el" href="_a_g_derivation_tree_8h.html#af1603f0c0d74c57dab97d421b1a43941">TraversalReason</a> reason, bool recycleNodes, <a class="el" href="class_phenotype.html">Phenotype</a> *pheno=NULL)</td></tr>
<tr class="separator:a56610bd9c470322aa9b61aca84367ce3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a2146a0df4c4d64ea61e5760c058a0d4c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_derivation_tree.html#a2146a0df4c4d64ea61e5760c058a0d4c">tree</a></td></tr>
<tr class="separator:a2146a0df4c4d64ea61e5760c058a0d4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17717edd750503ba3a1ffcf32daf0333"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_derivation_tree.html#a17717edd750503ba3a1ffcf32daf0333">recycle</a></td></tr>
<tr class="separator:a17717edd750503ba3a1ffcf32daf0333"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a58b03c9087ddc4459c30f1899ad1e308"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58b03c9087ddc4459c30f1899ad1e308">&#9670;&nbsp;</a></span>AGDerivationTree() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">AGDerivationTree::AGDerivationTree </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>recycleNodes</em> = <code>false</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac7f8b0b6b5687cea9e643038168200b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7f8b0b6b5687cea9e643038168200b2">&#9670;&nbsp;</a></span>AGDerivationTree() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">AGDerivationTree::AGDerivationTree </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a> &amp;&#160;</td>
          <td class="paramname"><em>copy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0667208b91dcea5be3479d427163b1fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0667208b91dcea5be3479d427163b1fc">&#9670;&nbsp;</a></span>~AGDerivationTree()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">AGDerivationTree::~AGDerivationTree </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a7dcc75adc9c71332ab3e82fb1f4c10bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7dcc75adc9c71332ab3e82fb1f4c10bf">&#9670;&nbsp;</a></span>clearSubtreeBelow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AGDerivationTree::clearSubtreeBelow </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> &amp;&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>recycleNodes</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1819aecf2bc1c6e9055e2760bb3ac08d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1819aecf2bc1c6e9055e2760bb3ac08d">&#9670;&nbsp;</a></span>clearTree()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AGDerivationTree::clearTree </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5ab0d59fc8caa624fc437d594c7248b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ab0d59fc8caa624fc437d594c7248b3">&#9670;&nbsp;</a></span>getTree()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> * AGDerivationTree::getTree </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab4fd402c5f10d3fecaed8ce1abf4eccc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4fd402c5f10d3fecaed8ce1abf4eccc">&#9670;&nbsp;</a></span>isRecycling()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AGDerivationTree::isRecycling </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8a20134a7d0766af81ebff93212ecce0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a20134a7d0766af81ebff93212ecce0">&#9670;&nbsp;</a></span>loadPhenotype()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AGDerivationTree::loadPhenotype </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_phenotype.html">Phenotype</a> *&#160;</td>
          <td class="paramname"><em>pheno</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a243b8da03396e5de3c83731eb18253b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a243b8da03396e5de3c83731eb18253b0">&#9670;&nbsp;</a></span>printTree()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AGDerivationTree::printTree </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0c6842e306b21e7b063f885bfc0bc707"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c6842e306b21e7b063f885bfc0bc707">&#9670;&nbsp;</a></span>setTree()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AGDerivationTree::setTree </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> *&#160;</td>
          <td class="paramname"><em>newTree</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a56610bd9c470322aa9b61aca84367ce3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56610bd9c470322aa9b61aca84367ce3">&#9670;&nbsp;</a></span>traverseTree()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AGDerivationTree::traverseTree </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> &amp;&#160;</td>
          <td class="paramname"><em>currentNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_a_g_derivation_tree_8h.html#af1603f0c0d74c57dab97d421b1a43941">TraversalReason</a>&#160;</td>
          <td class="paramname"><em>reason</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>recycleNodes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_phenotype.html">Phenotype</a> *&#160;</td>
          <td class="paramname"><em>pheno</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a17717edd750503ba3a1ffcf32daf0333"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17717edd750503ba3a1ffcf32daf0333">&#9670;&nbsp;</a></span>recycle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AGDerivationTree::recycle</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2146a0df4c4d64ea61e5760c058a0d4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2146a0df4c4d64ea61e5760c058a0d4c">&#9670;&nbsp;</a></span>tree</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a>* AGDerivationTree::tree</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="_a_g_derivation_tree_8h_source.html">AGDerivationTree.h</a></li>
<li>src/<a class="el" href="_a_g_derivation_tree_8cpp.html">AGDerivationTree.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
